Bug 994614 - oo-admin-cartridge --list doesn't show every cartridge
oo-admin-cartridge --list doesn't show every cartridge
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Paul Morie
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 11:48 EDT by Paul Morie
Modified: 2015-05-14 19:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 08:49:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Morie 2013-08-07 11:48:07 EDT
If two cartridges share a manifest using Version-Overrides, oo-admin-cartridge --list will only show one of them.  For example:

$ oo-admin-cartridge --list | grep mock
(redhat, mock, 0.1, 0.0.1)
(redhat, mock-plugin, 0.1, 0.0.1)

This list should also contain version 0.2 of the mock cartridge.
Comment 1 Paul Morie 2013-08-15 12:07:14 EDT
PR submitted; fix available.
Comment 2 Yan Du 2013-08-15 22:46:31 EDT
verified on devenv_3658, version 0.2 of the mock cartridge can be listed.

[root@ip-10-164-105-12 ~]# oo-admin-cartridge --list | grep mock
(redhat, mock, 0.1, 0.0.1)
(redhat, mock, 0.2, 0.0.1)
(redhat, mock-plugin, 0.1, 0.0.1)

move the bug to verified.

Note You need to log in before you can comment on or make changes to this bug.